<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetParentInfo Method (IEdmCardControl5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCardControl5 Interface : GetParentInfo Method (IEdmCardControl5)

Visual Basic
C#
C++/CLI

plParentCtrlID
  ID of the parent control; 0 if there is no parent control

plPageNo
  0-based index of the tab control on which this control is located

Gets the parent control of this control.

# Syntax

Visual Basic |
--- | ---

    Sub GetParentInfo( _
       ByRef plParentCtrlID As System.Integer, _
       ByRef plPageNo As System.Integer _
    )

C# |
--- | ---

    void GetParentInfo(
       out System.int plParentCtrlID,
       out System.int plPageNo
    )

C++/CLI |
--- | ---

    void GetParentInfo(
    &   [Out] System.int plParentCtrlID,
    &   [Out] System.int plPageNo
    )

#### Parameters

plParentCtrlID
  ID of the parent control; 0 if there is no parent control
plPageNo
  0-based index of the tab control on which this control is located

# Example

See the IEdmCardControl6 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The control does not have a parent.

# See Also

####

IEdmCardControl5 Interface
IEdmCardControl5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2